﻿@model Schedule.Application.ViewModel.TipoContratacaoViewModel

@{
    ViewData["Title"] = "View";
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <h4>Editar Tipo de Contratação</h4>
        </div>
    </div>
</div>
<hr />
<br />
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Editar">
                @Html.HiddenFor(e => e.id)

                <div class="form-group">
                    <label asp-for="Codigo" class="control-label">@ScheduleResorce.RetornaValor("LabelCodigo"):</label>

                    <input asp-for="Codigo" class="form-control form-control-sm" value="@Model.Codigo" placeholder="Digite o @ScheduleResorce.RetornaValor("LabelCodigo")..." required />
                    <span asp-validation-for="Codigo" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Nome" class="control-label"> @ScheduleResorce.RetornaValor("LabelDescricao"):</label>
                    <input asp-for="Nome" class="form-control form-control-sm" value="@Model.Nome" placeholder="Digite a @ScheduleResorce.RetornaValor("LabelDescricao")..." required />
                    <span asp-validation-for="Nome" class="text-danger"></span>
                </div>
                <br />
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <br />
                <div  class="form-group">
                    <input type="submit" value="Salvar" class="btn btn-primary" />
                    <a asp-action="Index" class="btn btn-danger">Voltar</a>
                </div>

            </form>

        </div>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

}
